> For the complete documentation index, see [llms.txt](https://docs.snapodds.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.snapodds.com/docs/mobile-sdk/ios/snapodds-operator/initialization.md).

# Initialization

### Import SnapscreenFramework

For any class that requires access to the SnapscreenFramework functionality, add the following line:

```swift
import SnapscreenFramework
```

### Initialization

In order to initialize Snapscreen, call the following class method in **AppDelegate** in **application:didFinishLaunchingWithOptions**:

```swift
Snapscreen.setup(
    withClientId: "your-client-id", 
    clientSecret: "your-client-secret", 
    environment: .production
)
```

### Additional information

To improve performance, SnapOdds requires basic locational information to be provided. Set the users country and US state information within the SDK using the parameters **country** and **usState**:

```swift
Snapscreen.instance?.country = "US"
Snapscreen.instance?.usState = "NJ"
```

### Accessing SDK instance

Once Snapscreen is initialized, it can be retrieved by calling:

```swift
Snapscreen.instance
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.snapodds.com/docs/mobile-sdk/ios/snapodds-operator/initialization.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
